<#-- [To be added in the future] ftl output_format="XML" -->
<?xml version="1.0" encoding="utf-8"?>
<info>
 <bootstrap>
  <version>190211</version>
  <url>${requestInfo.staticURL?html}/VOP-190211.exe</url>
 </bootstrap>
<#if profile.firmwareurl != "">
    <#assign fser = profile.firmwareurl?matches('http[s]?://.*/VOP-[0-9]+-([0-9]{6}).bin','i')>
    <#if fser>
 <firmware>
  <serial>=${fser?groups[1]}</serial>
  <url>${profile.firmwareurl?html}</url>
 </firmware>
    <#else>
        ${logger.log("WARNING - Invalid firmware URL: " + profile.firmwareurl)}
    </#if>
<#else>
    <#assign firmware = "VOP-171-220816.bin">
    <#assign fser = firmware?matches('VOP-[0-9]+-([0-9]{6}).bin','i')>
    <#if fser>
        <#assign firmwareurl = "${requestInfo.staticURL?html}/${firmware}">
        <#if profile.firmwarehttps>
            <#assign firmwareurl = firmwareurl?replace('http:','https:','i')>
        </#if>
 <firmware>
  <serial>=${fser?groups[1]}</serial>
  <url>${firmwareurl}</url>
 </firmware>
    <#else>
        ${logger.log("WARNING - Invalid firmware name: " + profile.firmware)}
    </#if>
</#if>
 <config>
  <serial>!0</serial>
  <url>${requestInfo.provisioningURL?html}/config</url>
 </config>
 <refresh>0</refresh>
</info>
